
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP 程序员解决问题能力的八个级别 / iVAN</title>

    <meta name="description" content="PHP 程序员解决问题能力的八个级别 这个话题老生长谈了,在面试中必然考核的能力中,我个人认为解决问题能力是排第一位的,比学习能力优先级更高.解决问题的能力既能看出程序员的思维能力,应变能力,探索能力等,又可以看出他的经验.如果解决问题能力不佳是无法通过面试的. 这里举个例子,假如我执行了一个PHP的脚本,如php test.php,预期是可以返回一个字符串.但执行后没有任何信息输出,这时候通过什么方法能知道程序错在哪里?这里可以将解决问题能力分为8个等级,越到后面的表示能力越强. Lv0 查看PHP错误信息 程序没有达到预期效果,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP 程序员解决问题能力的八个级别</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>这个话题老生长谈了，在面试中必然考核的能力中，我个人认为解决问题能力是排第一位的，比学习能力优先级更高。解决问题的能力既能看出程序员的思维能力，应变能力，探索能力等，又可以看出他的经验。如果解决问题能力不佳是无法通过面试的。</p>
<p>这里举个例子，假如我执行了一个PHP的脚本，如php test.php，预期是可以返回一个字符串。但执行后没有任何信息输出，这时候通过什么方法能知道程序错在哪里？这里可以将解决问题能力分为8个等级，越到后面的表示能力越强。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjEzMzE5d3pjOXZmaWZ2Zmd5YXZjMC5qcGc=.jpg"></p>
<p><strong>Lv0 查看PHP错误信息</strong></p>
<p>程序没有达到预期效果，证明代码出错了，看PHP的错误信息是第一步。如果直接忽略错误信息，表明这个人不适合担任专业的程序员岗位。有些情况下 php.ini配置中关闭了错误显示，需要修改php.ini打开错误信息，或者错误信息被导出到了日志文件，这种情况可以直接tailf  php_error.log来看错误信息。</p>
<p>拿到错误信息后直接定位到程序代码问题，或者到Google/百度搜索，即可解决问题。</p>
<p><strong>注：打开错误显示的方法是</strong></p>
<ul>
<li>php.ini中display_errors / display_startup_errors 设置为On</li>
<li>php.ini中error_reporting 设置为E_ALL</li>
<li>PHP代码中设置error_reporting(E_ALL)</li>
</ul>
<p><strong>Lv1 存在多个版本的php或php-cli与php-fpm加载不同的配置</strong></p>
<p>存在多个版本的php，懂得通过which php来看是哪个PHP，或者加绝对路径制定php版本。表示此PHPer通过了此层级的50%考验。</p>
<p>另外一个情况就是php-cli与php-fpm得到的执行情况不一样，如在web浏览器中执行是对的，cli下执行是错的。这时候可能是2个环境 加载的php.ini不同所致。cli下通过php -i grep  php.ini得到加载了哪个php.ini。而fpm下通过phpinfo()函数可以得到php.ini的绝对路径。</p>
<p><strong>Lv2 var_dump/die打印变量值信息单步调试</strong></p>
<p>这是惯用的程序调试手段，也是最简单粗暴有效的解决问题方法。高级一点的手段是使用PHP的Trace类/日志类，花哨一点的可以借助phpstorm+xdebug在IDE工具里进行Debug。</p>
<p>Trace工具还可以分析脚本的耗时，进行PHP程序的性能优化。</p>
<p>这3个考验全部通过，表明此程序员已经具备了专业PHP程序员应该有的解决问题能力了。PHP程序员只要过了这个等级，就足以应多大部分情况，在中小型网站中毫无压力。 </p>
<p><strong>Lv3 使用strace工具跟踪程序执行</strong></p>
<p>strace可以用来查看系统调用的执行，使用strace php test.php，或者strace -p  进程ID。strace就可以帮助你透过现象看本质，掌握程序执行的过程。这个手段是在大型网站，大公司里最常用的。如果没掌握strace，这里只能说 抱歉了，我们不接受不会strace的PHPer。</p>
<p>strace其实也是对程序员基础的考验，如果不懂操作操作系统，完全不懂底层，肯定也达不到会用strace的程度。当然strace对于PHP 代码里的死循环是解决不了的。比如你发现一个php-fpm进程CPU100%了，strace恐怕是解决不了的。因为strace是看系统调用，一般都 是IO类操作，既然是IO密集，那CPU一定不可能是100%。</p>
<p><strong>Lv4 使用tcpdump工具分析网络通信过程</strong></p>
<p>tcpdump可以抓到网卡的数据通信过程，甚至数据内容也可以抓到。使用tcpdump可以看到网络通信过程是什么样的，如何时发起了TCP SYN3次握手，何时发送FIN包，何时发送RST包。这是一个基本功，如果不懂tcpdump，证明不具备网络问题解决能力。</p>
<p><strong>Lv5 统计函数调用的耗时和成功率</strong></p>
<p>使用xhporf/xdebug导出PHP请求的调用过程，然后分析每个函数调用的过程和耗时。能够分析PHP程序的性能瓶颈，找出可以优化的点。</p>
<p>另外一个对于网络服务的调用，如mysql查询，curl，其他API调用等，通过记录起始和结束时microtime，返回的是不是false， 可以得到调用是否成功，耗时多少。如果可以汇总数据，整理出调用的成功率，失败率，平均延时，证明此程序员对接口质量敏感，有大型网站项目经验。</p>
<p><strong>Lv6 gdb使用</strong></p>
<p>gdb是C/C++调试程序的利器，需要具备一定C/C++功底的程序员才会能熟练使用gdb。上面说的strace无法跟踪php程序CPU100%，而gdb是可以跟踪的。另外gdb也可以解决php程序core dump的问题。</p>
<p>通过gdb -p 进程ID，再配合php-src的.gdbinit  zbacktrace等工具，可以很方便地跟踪PHP程序的执行。像上面的CPU100%往往是PHP程序中发生死循环了，gdb进行多次查看，就大致可 以得到死循环的位置。具备gdb解决问题能力的PHP程序员少之又少。如果能使用gdb解决PHP问题，这个PHPer百分之百可以通过面试，并且可以拿 到较高的技术评级。 </p>
<p><strong>Lv7 查看PHP内核和扩展源码</strong></p>
<p>如果能熟悉PHP内核和扩展的源码，遇到PHP程序中最复杂的内存错误，也可以有解决的能力。这类PHP程序员就是凤毛麟角了。配合gdb工具和对PHP源码的熟悉，可以查看opcode的信息，execute_data的内存，全局变量的状态等。</p>
<p><strong>你是哪个级别呢？</strong></p>
<p>原文：http://rango.swoole.com/archives/340         作者： @韩天峰-Rango</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 07:26:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%97%ae%e9%a2%98/" title="问题">问题</a>, <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%91%98/" title="程序员">程序员</a>, <a href="https://www.iamivan.net/tag/php%e9%97%ae%e9%a2%98/" title="php问题">php问题</a>, <a href="https://www.iamivan.net/tag/gdb/" title="gdb">gdb</a>, <a href="https://www.iamivan.net/tag/ios-%e9%9d%a2%e8%af%95%e9%a2%98/" title="ios 面试题">ios 面试题</a>, <a href="https://www.iamivan.net/tag/ios%e9%9d%a2%e8%af%95%e9%a2%98/" title="ios面试题">ios面试题</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e9%97%ae%e9%a2%98/" title="程序问题">程序问题</a>, <a href="https://www.iamivan.net/tag/tcpdump/" title="tcpdump">tcpdump</a>, <a href="https://www.iamivan.net/tag/%e6%ad%a4%e4%bb%a3%e7%a0%81%e9%94%99%e5%9c%a8%e5%93%aa%e9%87%8c/" title="此代码错在哪里">此代码错在哪里</a>, <a href="https://www.iamivan.net/tag/gdb%e6%97%a0%e6%b3%95%e4%bd%bf%e7%94%a8/" title="gdb无法使用">gdb无法使用</a>, <a href="https://www.iamivan.net/tag/gdb%e6%ba%90%e7%a0%81/" title="gdb源码">gdb源码</a>, <a href="https://www.iamivan.net/tag/strace/" title="strace">strace</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP 程序员解决问题能力的八个级别的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGE583M.html" rel="bookmark">【杂谈】PHP程序员的能力水平层次</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP程序员的能力水平层次 前言 之前看过很多篇关于服务端工程师和PHP开发者的能力模型介绍,每篇都对能力有侧重点. 下面我们来详细谈谈以开发能力为基准点的PHP程序员的能力水平层次. 层层递进 1.功能开发 这个水平的程序员一般是在校学生或者培训机构学习中的同学,这时对PHP基本语法不太熟悉,做东西都靠查资料. 对于功能实现,能用但是健壮性和扩展性都不行,也就是我们所提到的实验性项目的模块.推荐处于这个层次的同学去尝试大型的模块,去解决复杂的问题,在实际开发中提升对语言的熟悉程度. 2.系统开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBdZap.html" rel="bookmark">关于PHP程序员解决问题的能力</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这个话题老生长谈了,在面试中必然考核的能力中,我个人认为解决问题能力是排第一位的,比学习能力优先级更高.解决问题的能力既能看出程序员的思维能力,应变能力,探索能力等,又可以看出他的经验.如果解决问题能力不佳是无法通过面试的. 这里举个例子,假如我执行了一个PHP的脚本,如php test.php,预期是可以返回一个字符串.但执行后没有任何信息输出,这时候通过什么方法能知道程序错在哪里?这里可以将解决问题能力分为8个等级,越到后面的表示能力越强. Lv0 查看PHP错误信息 程序没有达到预期效果,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Rakob.html" rel="bookmark">程序员解决问题的60个策略（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				英文原文:60 Problem Solving Strategies 程序员的生活就是解决一个又一个问题,永无止境.这篇文章介绍了一系列解决问题的策略. 根本的指导方针 1. 首先写代码的时候最好不要有缺陷.最好的修复方法就是让 bug 胎死腹中. 良好的单元测试 强制数据库约束 使用输入验证框架 避免未实现的&quot;else&quot;条件 在应用到主程序之前知道如何在孤立的情况下使用 日志 2. print 语句.往往额外输出个一两行将有助于隔离问题. 3. 切换至详细的日志记录.详细的日志记录有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX914Wz.html" rel="bookmark">程序员解决问题的 60 个策略</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序员的生活就是解决一个又一个问题,永无止境.这篇文章介绍了一系列解决问题的策略. 根本的指导方针 1 . 首先写代码的时候最好不要有缺陷.最好的修复方法就是让 bug 胎死腹中. 良好的单元测试 强制数据库约束 使用输入验证框架 避免未实现的&quot;else&quot;条件 在应用到主程序之前知道如何在孤立的情况下使用 日志 2 . print 语句.往往额外输出个一两行将有助于隔离问题. 3 . 切换至详细的日志记录.详细的日志记录有助于发现更多的线索. 4 . 搜索日志.如果日志太多,可采取关键			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7W2RZz.html" rel="bookmark">程序员保持身心健康的八种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				       国际  程序员是一个辛苦的行业,长时间面对的只是需要解决的问题,更不要提开发期限和无理取闹的客户了,这样的工作简直无以承受.怎么办呢我们?我们热爱编程,乐于创建功能--我们喜欢那种将一堆代码弄成像Facebook或者Digg那样的赚钱工具的感觉.        也正由于程序员所带给我们的一切,这工作仍让我们欲罢不能.这种情况下,如何处理工作带来的压力便成了一项技巧.以下分享我的一些方式,以保持你的身心健康. 懂得何时走开        一般来说程序员大多有定力.做事有条理.我们不愿			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32BZWz.html" rel="bookmark">程序员的八个级别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你是否被人问过这样一个经典的面试问题,&quot;五年内你对自己有什么规划?&quot;当被问到时,我的脑子里总会回放一段1984年&lt;Twisted Sister&gt;里的一个视频片段. 我想让你告诉我说--不,这样更好,站起来,对着全班说– 你今后打算干什么? 你想当摇滚明星,这很自然!或者至少要成为一名明星级程序员.这种问题一般不会得到一个很严肃的回答--就像另外一个毫无新意且充满压抑的问题,&quot;你最大的弱点是什么?&quot;弱点是有时候太过摇滚,可能会伤着无辜的旁观者. 但我却不这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZdlokM.html" rel="bookmark">程序员成长规划</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 我的程序员成长之路 程序员的成长经历往往很相似,大部分的人走过了最前面相同的一段路,而有的人则走得更远.总结自己这些年来的历程,这也许能让年轻的程序员少走一些弯路,成长得更快:或许更好一些,能让大家从中得到一些启发,早日进入优秀程序员的阶段,实现梦想,释放激情. 第一阶段,最初是在学校里学习计算机基础知识,学习经典的程序设计语言,编写测试用的小程序.这个过程可以说是对计算机和程序设计的入门阶段.这个阶段主要是培养了自己对计算机软件的兴趣,打下了良好的计算机基础知识. 第二阶段,而后参加工作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Z0PAz.html" rel="bookmark">我是怎么招聘程序员的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很早以前就想写一篇和面试相关的文章了,今天在网络上看到一篇关于如何去面试程序员的英文文章,发现其中有很多和我共鸣的东西,所以仿照其标题通过自己的经历写下了这篇文章. 工作这么多年来,即被面试过,也面试过他人,对于程序员的面试,经历过很不错的面试,很专业的面试,也经历过一些BT和令人不爽的面试,我个人觉得一个好的面试,面试官是很重要的,所以,本文想从&quot;面试官&quot;的角度来阐述一下.于是,有了下面这样一篇的文章,希望本文对你的职场经历有用,特别是那些正在招聘和面试程序员的朋友,我觉得这篇文章会			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkelRwb.html" rel="bookmark">程序员为啥不被人喜欢</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				林语堂有提到不被人喜欢的十种原因: 一.腰有十文钱必振衣作响.  二.每与人言必谈及贵戚.  三.遇美人必急索登床.  四.见到问路之人必作傲睨之态.  五.与朋友相聚便喋喋高吟其酸腐诗文.  六.头已花白却喜唱艳曲.  七.施人一小惠便广布于众.  八.与人交谈便借刁言以逞才.  九.借人之债时其脸如丐,被人索偿时则其态如王.  十.见人常多蜜语而背地却常揭人短处. 我们反过来看看,作为程序员,哪些特质容易招人喜欢,让我们试试看能不能做一个被人喜欢的程序员. 编码又快又好 程序稳定Bug少 积			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZEW6p.html" rel="bookmark" class="title">windows-Windows 安装Hadoop格式化出错</a>
					<div>
						问题描述 Windows 安装Hadoop格式化出错 hadoop-env.sh # The java implementation to use.export JAVA_HOME=&quot;&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKqVAp.html" rel="bookmark" class="title">服务器-jquery ajax URL始终无法响应的问题</a>
					<div>
						问题描述 jquery ajax URL始终无法响应的问题 我想做一个简单的页面名字录入,点击确认按钮,名字上传到数据库的动作.由于是新手, 不太理解jquery ajax在同一页面的前后台通讯的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPZr0b.html" rel="bookmark" class="title">如何循序渐进学习Ajax教程&quest;</a>
					<div>
						ajax|教程 现在浏览器端以 JavaScript 为核心,基于各种 Web 标准(即:早已完成标准化的XHTML/CSS/DOM/XML/XSLT 和正在进行标准化的XMLHTTP)的技术正在加速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWN1mb.html" rel="bookmark" class="title">关于SEO写作中五个最常问的问题</a>
					<div>
						seo|问题 这个星期,我写了5个有关SEO(搜索引擎优化)方面的问题,这是我们最近从索引擎优化写作那里得到的,它对品牌经营有一定影响.这5个FAQ里面有很重要的信息,并且对提高品牌经营有所帮助.问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDr5XM.html" rel="bookmark" class="title">Java 语言中 Enum 类型的使用介绍</a>
					<div>
						Enum 类型的介绍 枚举类型(Enumerated Type) 很早就出现在编程语言中,它被用来将一组类似 的值包含到一种类型当中.而这种枚举类型的名称则会被定义成独一无二的类型描述符,在这一点上和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlRKOb.html" rel="bookmark" class="title">基于VC&period;NET的GDI&plus;编程之CImage</a>
					<div>
						我们知道,Visual C++的CBitmap类和静态图片控件的功能是比较弱的,它只能显示出在资源中的图标.位图.光标以及图元文件的内容,而不像VB中的Image控件可以显示出绝大多数的外部图像文件( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7LjZM.html" rel="bookmark" class="title">Windows 7更改访问windows共享的用户名和密码</a>
					<div>
						1.CMD管理员模式下,net use 查看当前网络连接 2.net use //IP/IPC$ /del (或使用net use * /del 全部清除) 3.WINDOWS7 控制面板用户帐户和家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK75d7b.html" rel="bookmark" class="title">android虚拟机详解</a>
					<div>
						android5.0之前使用的虚拟机是Dalvik虚拟机,这个虚拟机在JVM的基础上做了一定的优化.android5.0之后,android采用了新的虚拟机ART,本文主要对Dalvik.JVM.AR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwdWQz.html" rel="bookmark" class="title">Word中使用各种视图方式浏览长文档</a>
					<div>
						Word是一套&quot;所见即过得&quot;的文字处理软件,用户从屏幕上所看到的文档效果,就和最终打印出来的效果完全一样,因而深受广大用户的睛睐.为了满足用户在不同情况下编辑.查看文档效果的需要, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKn2Vp.html" rel="bookmark" class="title">搜狗浏览器兼容模式停止工作怎么办</a>
					<div>
						  搜狗浏览器兼容模式停止工作怎么办?微软为Win10用户推送了一个紧急修复Flash漏洞的补丁,根据部分用户反馈,安装了该补丁后在兼容模式会出现崩溃或卡死的问题.后续我们发现,所有IE内核的浏览器都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze77A9M.html" rel="bookmark" class="title">谈谈用户界面中扁平化设计</a>
					<div>
						扁平化设计在当下的用户界面设计界是很有争议的,微软的Metro风最早将其介绍给大众,之后有了很多人跟风,比如LayerVault.The Next Web以及更多.许多设计师从最开始就不看好这类设计, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwXxmb.html" rel="bookmark" class="title">PS安装错误的解决方法</a>
					<div>
						  PS安装失败?提示安装错误?我想起初可能会有不少人遇到过这种问题,当然桂桂(DearSalt)刚开始也遇到过,这例PS技巧就是教大家如何解决这个问题. 根据它的提示,卸载了之前的Photoshop ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGEK5p.html" rel="bookmark" class="title">艾奇文件数据恢复软件</a>
					<div>
						  最新版的艾奇文件数据恢复软件,支持本地磁盘.移动硬盘.U盘.SD卡.TF卡.索尼记忆棒等存储设备上的文件恢复,包括图片.文件.视频等多种文件格式的恢复,扫描速度快,安全可靠,最大的特点是所见即所得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkZQOb.html" rel="bookmark" class="title">I&sol;O程序直接控制方式</a>
					<div>
						I/O操作是计算机处理中非常重要的操作,如何实现对I/O设备的有效控制,以更好地满足用户的输入/输出要求,是设备管理中非常重要的问题之一.在计算机技术的发展过程中,I/O控制方式也在不断地发展,对I/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94nyRb.html" rel="bookmark" class="title">新一代处理器护航 富士通首款3D本宣布</a>
					<div>
						在Intel新一代Sandy http://www.aliyun.com/zixun/aggregation/16410.html&quot;&gt;Bridge处理器发布后,大量基于该平台的笔记本随 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq1nyz.html" rel="bookmark" class="title">普华与中标分手 国产操作系统市场呈现新格局</a>
					<div>
						2016年开年,普华软件和华东所以2.2亿元高价转让中标软件50%股份(其中普华46.5%,华东所3.5%)的新闻,成为国产基础软件圈里被热议的话题.接盘方一兰科技是一家2014年成立的高科技企业.从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRwXOb.html" rel="bookmark" class="title">C&num;如何改变ListBox选中的值移到顶部</a>
					<div>
						问题描述 也就是将选中的值移到第一个位置!if(listBoxPlayer.SelectedIndex&gt;0){objectselstr=listBoxPlayer.Items[listBoxPl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK1E3b.html" rel="bookmark" class="title">周鸿祎；靠用户体验赢得一切</a>
					<div>
						对于国内鱼龙混杂的互联网行业来说,恐怕没有多少互联网企业谈得上身家清白,只是相形之下,从逼得马化腾要让用户做艰难选择到最近和百度之间的搜索混战,周鸿祎和360无疑表现得更加流氓. 然而,与大家的骂声相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ0e3p.html" rel="bookmark" class="title">VS 2008 MVC 返回JSON 总是不能正确读取，附源码，希望帮我调试一下&period;</a>
					<div>
						问题描述 我觉得很奇怪郁闷了几天了返回的格式没错但是就是javascript不认识环境:vs2008+MicrosoftASP.NETMVC 解决方案 解决方案二:顶~~~~~					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjnwKM.html" rel="bookmark" class="title">警惕电子邮件中的&OpenCurlyDoubleQuote;更新程序&rdquo;</a>
					<div>
						每周高危病毒警示 经常为系统以及应用程序安装更新补丁是一种好习惯,可以弥补系统或程序本身的漏洞,避免恶意程序利用这些漏洞感染计算机.卡巴斯基实验室近期却发现有些恶意程序竟然伪装成常用软件的更新程序,通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJ2Ykp.html" rel="bookmark" class="title">影响JavaScript应用可扩展性因素</a>
					<div>
						作为JavaScript 开发者和架构师,必须承认并了解影响扩展性的因素.虽然不是所有JavaScript 应用都需要扩展,但总有一部分是需要的.比如,我们很难确认某个系统不需要扩展,不需要为它的可扩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodwNvM.html" rel="bookmark" class="title">微软以不变应万变新方案&colon;再等久一点</a>
					<div>
						3月3日,对于智能手机业务,微软已经有了一个以不变应万变的新方案,那就是再等久一点. 2013年9月,微软宣布将以72亿美元收购诺基亚手机业务,以及大批专利组合.分析人士认为,微软此举可看作为其面世四 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QWAqp.html" rel="bookmark" class="title">PHP Mysql编程之高级技巧&lowbar;php技巧</a>
					<div>
						笔者做了以下的尝试. &lt;?php  $data_time=&quot;1998-12-31 23:59:59&quot;;  $connect_id=mysql_connect('localho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2014M.html" rel="bookmark" class="title">Android开发常见问题总结&lowbar;Android</a>
					<div>
						本文总结分析了Android开发常见问题.分享给大家供大家参考,具体如下: 1. 在ui中使用scrollview之后,假如复写activity的onkeydown或onkeyup事件,若果焦点在sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW1Aez.html" rel="bookmark" class="title">JavaScript动态提示输入框输入字数的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JavaScript动态提示输入框输入字数的方法.分享给大家供大家参考.具体如下: 在QQ空间里有小纸条那么一个功能,随着你在文本框中输入多少字,上面会动态提示你&quot;已经输入多少 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N7o4b.html" rel="bookmark" class="title">javascript四种继承方式总结及深入了解</a>
					<div>
						js是一个很自由的语言,没有强类型的语言的那种限制,实现一个功能往往有很多做法.继承就是其中的一个,在js中继承大概可以分为四大类,上面一篇文章也提及过一些,下面开始详细说说js的继承. 1.原型继承 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWJXvz.html" rel="bookmark" class="title">&amp;amp&semi;amp&semi;lt&semi;input type&equals;&amp;amp&semi;amp&semi;quot&semi;text&amp;amp&semi;amp&semi;quot&semi; name&equals;&amp;amp&semi;amp&semi;quot&semi;&amp;amp&semi;amp&semi;quot&semi;&amp;amp&semi;amp&semi;gt&semi;怎么动态获取这个name值</a>
					<div>
						问题描述 下面是我的js代码:$(&quot;#add&quot;).click(function(){$(&quot;#sc_t3&quot;).append(&quot;&lt;tr&gt;&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKaKvM.html" rel="bookmark" class="title">ios-iOS iap 服务器验证问题</a>
					<div>
						问题描述 iOS iap 服务器验证问题 如果交易完成后,向自己的服务器进行二次验证(服务器对用户增值操作)的时候,客服端突然断网了怎么办啊,大家是怎么解决的,有什么最好的解决办法吗. 顺便再问下,服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8J5kb.html" rel="bookmark" class="title">datagridview 问题  关于ComBox   急</a>
					<div>
						问题描述 我的问题是这样的!要作一个用户管理窗体用户名用户密码用户类型A123考务人员(数据库中的数据是k)B234监考人员(数据库中的数据是J)添加删除保存返回有这样四个按钮我想在按下添加以后dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk70Qdp.html" rel="bookmark" class="title">日本电商成功经验干货分享之一</a>
					<div>
						日本电商成功经验干货分享之一 --Green Dog宠物店成长8倍的秘密 &amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&g ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
